List notes
URL
GET https://api.complycube.com/v1/notes?clientId=:id
This endpoint allows you to list all existing notes for a given client. The notes are returned sorted by creation date, with the most recent notes appearing first.
Headers
Name
Type
Description
Authorization*
string
The API live or test key.
Query parameters
Name
Type
Description
clientId*
string
The ID of the client.
<pagination>
string
The number of items to return and the number of pages to offset.
<filtering>
string
Filter the results.
Example request
curl -X GET https://api.complycube.com/v1/notes?clientId={:clientId} \
-H 'Authorization: <YOUR_API_KEY>'Example responses
{
"page": 1,
"pageSize": 100,
"totalItems": 1,
"pages": 1,
"items": [
{
"id": "5eb1276f96be4a0008713af6",
"clientId": "69e7531f8a80b2000237786a",
"type": "internal",
"note": "Sample note",
"createdAt": "2025-01-04T17:24:29.146Z",
"updatedAt": "2025-01-04T17:28:10.712Z"
}
]
}{
"type": "invalid_request",
"message": "The query parameter 'clientId' is required"
}
